KDE 4.9 PyKDE API Reference

- KDE's Python API

# DictionaryComboBox Class Reference

`from PyKDE4.kdeui import *`

Inherits: KComboBox → QComboBox → QWidget → QObject
Namespace: Sonnet

## Detailed Description

A combo box for selecting the dictionary used for spell checking.

Author:
  Ingo Kloecker <kloecker@kde.org>

Author:
  Tom Albers <tomalbers@kde.nl>

Since:
  4.2

## Signals

| dictionaryChanged (QString dictionary)
| dictionaryNameChanged (QString dictionaryName)

## Methods

| __init__ (self, QWidget parent=0)
QString | currentDictionary (self)
QString | currentDictionaryName (self)
| reloadCombo (self)
| setCurrentByDictionary (self, QString dictionary)
| setCurrentByDictionaryName (self, QString dictionaryName)

## Signal Documentation

dictionaryChanged | ( | QString | dictionary
| ) |  |  |

Emitted whenever the current dictionary changes. Either by user intervention or on setCurrentByDictionaryName() or on setCurrentByDictionary(). For example "de_CH".

Signal syntax:
  `QObject.connect(source, SIGNAL("dictionaryChanged(const QString&)"), target_slot)`

dictionaryNameChanged | ( | QString | dictionaryName
| ) |  |  |

Emitted whenever the current dictionary changes. Either by user intervention or on setCurrentByDictionaryName() or on setCurrentByDictionary(). For example "German (Switzerland)".

Signal syntax:
  `QObject.connect(source, SIGNAL("dictionaryNameChanged(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructor

QString currentDictionary | ( |  | self ) |

Returns the current dictionary, for example "de_CH"

QString currentDictionaryName | ( |  | self ) |

Returns the current dictionary name, for example "German (Switzerland)"

reloadCombo | ( |  | self ) |

Clears the widget and reloads the dictionaries from Sonnet. Remember to set the dictionary you want selected after calling this function.

setCurrentByDictionary | ( | self, |
|  | QString | dictionary
| ) |  |  |

Sets the current dictionary to the given dictionary.

setCurrentByDictionaryName | ( | self, |
|  | QString | dictionaryName
| ) |  |  |

Sets the current dictionaryName to the given dictionaryName